Install agent on Oracle Linux - Failed dependencies.

Backup agent for Linux servers and workstations on-premises or in the public cloud

Install agent on Oracle Linux - Failed dependencies.

Veeam Logoby Someonenew2014 » Tue Aug 30, 2016 10:56 am

Hi,

Thanks for providing Agent for linux - beta version. I'm in middle of evaluating VM running over hyper-V.

So after download and move agent to the linux box, I did the following

Code: Select all
[root@pocebus install]# unzip VeeamAgentLinux_1.0.0.499BETA.zip
Archive:  VeeamAgentLinux_1.0.0.499BETA.zip
   creating: x64/
   creating: x64/deb/
  inflating: x64/deb/veeamsnap_1.0.0.499_all.deb
  inflating: x64/deb/veeam_1.0.0.499_amd64.deb
   creating: x64/rpm/
  inflating: x64/rpm/veeam-1.0.0.499-1.el6.x86_64.rpm
  inflating: x64/rpm/veeam-1.0.0.499-1.suse.x86_64.rpm
  inflating: x64/rpm/veeamsnap-1.0.0.499-1.noarch.rpm
  inflating: x64/veeam-recovery-media-1.0.0.499.iso
   creating: x86/
   creating: x86/deb/
  inflating: x86/deb/veeamsnap_1.0.0.499_all.deb
  inflating: x86/deb/veeam_1.0.0.499_i386.deb
   creating: x86/rpm/
  inflating: x86/rpm/veeam-1.0.0.499-1.el6.i386.rpm
  inflating: x86/rpm/veeam-1.0.0.499-1.suse.i386.rpm
  inflating: x86/rpm/veeamsnap-1.0.0.499-1.noarch.rpm
[root@pocebus install]#
[root@pocebus install]# rpm -ivh epel-release-6-8.noarch.rpm
warning: epel-release-6-8.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID 0608b895: NOKEY
Preparing...                ########################################### [100%]
        package epel-release-6-8.noarch is already installed
[root@pocebus install]# rpm -ivh epel-release-latest-6.noarch.rpm
warning: epel-release-latest-6.noarch.rpm: Header V3 RSA/SHA256 Signature, key ID 0608b895: NOKEY
Preparing...                ########################################### [100%]
        package epel-release-6-8.noarch is already installed
[root@pocebus install]#

[root@pocebus rpm]# pwd
/u01/install/x64/rpm
[root@pocebus rpm]# rpm -ivh veeamsnap-1.0.0.499-1.noarch.rpm
error: Failed dependencies:
        dkms is needed by veeamsnap-1.0.0.499-1.noarch
[root@pocebus rpm]#


.


I have disabled version 7 lateste du that we have oracle linux v 6 as other thread suggest in this forum
(veeam-agent-for-linux-f41/error-installing-veeamsnap-1-0-0-499-1-noarch-rpm-t36686.html).

the current version is

Code: Select all
[root@pocebus etc]# uname -a
Linux pocebus.local 3.8.13-44.1.1.el6uek.x86_64 #2 SMP Wed Sep 10 06:10:25 PDT 2014 x86_64 x86_64 x86_64 GNU/Linux



Thank you in advance.
Someonenew2014
Enthusiast
 
Posts: 54
Liked: 3 times
Joined: Wed Feb 04, 2015 8:25 pm

Re: Install agent on Oracle Linux - Failed dependencies.

Veeam Logoby vmniels » Tue Aug 30, 2016 11:02 am

Please run "yum install dkms"

Please have a look at the announcement thread with the requirements: veeam-agent-for-linux-f41/known-issues-t35902.html

Keep in mind that once they are hosted on a repo this won't be an issue.
VCP-DCV
Veeam Certified Engineer
http://foonet.be
vmniels
Veeam Software
 
Posts: 1505
Liked: 325 times
Joined: Mon Jul 15, 2013 11:09 am
Full Name: Niels Engelen

Re: Install agent on Oracle Linux - Failed dependencies.

Veeam Logoby Someonenew2014 » Tue Aug 30, 2016 11:36 am

Thanks for fast response. My Server is not connected to the internet.


Code: Select all
[root@pocebus rpm]# yum install dkms
Error: Cannot retrieve repository metadata (repomd.xml) for repository: epel. Please verify its path and try again
[root@pocebus rpm]#


Oracle rpm source are here
http://public-yum.oracle.com/oracle-linux-6.html

But cannot find dmks packages.
Someonenew2014
Enthusiast
 
Posts: 54
Liked: 3 times
Joined: Wed Feb 04, 2015 8:25 pm

Re: Install agent on Oracle Linux - Failed dependencies.

Veeam Logoby PTide » Tue Aug 30, 2016 3:55 pm

Please try using another machine to recursively download all required dependencies for packages that are required by veeam using yumdownloader.

Thanks
PTide
Veeam Software
 
Posts: 3019
Liked: 246 times
Joined: Tue May 19, 2015 1:46 pm

Re: Install agent on Oracle Linux - Failed dependencies.

Veeam Logoby Someonenew2014 » Wed Aug 31, 2016 7:29 am

Hi,

Thanks for the tip.

Able to connect to internet .


Code: Select all
[root@pocebus yum.repos.d]# yum install dkms
ol6_UEK_latest                                                                                                                                                                          | 1.2 kB     00:00
ol6_UEK_latest/primary                                                                                                                                                                  |  27 MB     00:21
ol6_UEK_latest                                                                                                                                                                                         582/582
ol6_latest                                                                                                                                                                              | 1.4 kB     00:00
ol6_latest/primary                                                                                                                                                                      |  59 MB     00:25
ol6_latest                                                                                                                                                                                         36432/36432
Setting up Install Process
No package dkms available.
Error: Nothing to do
[root@pocebus yum.repos.d]#



The issue now is saying No package dkms available.
Someonenew2014
Enthusiast
 
Posts: 54
Liked: 3 times
Joined: Wed Feb 04, 2015 8:25 pm

Re: Install agent on Oracle Linux - Failed dependencies.

Veeam Logoby vmniels » Wed Aug 31, 2016 7:30 am

Please run the following since you are missing the epel repo's:
wget https://dl.fedoraproject.org/pub/epel/e ... noarch.rpm -O ~/epel-release-latest-7.noarch.rpm
rpm –i ~/epel-release-latest-7.noarch.rpm
yum update –y
yum install dkms –y
VCP-DCV
Veeam Certified Engineer
http://foonet.be
vmniels
Veeam Software
 
Posts: 1505
Liked: 325 times
Joined: Mon Jul 15, 2013 11:09 am
Full Name: Niels Engelen

Re: Install agent on Oracle Linux - Failed dependencies.

Veeam Logoby Someonenew2014 » Wed Aug 31, 2016 8:07 am

Thanks. It is worked.

Code: Select all
[root@pocebus rpm]# rpm -ivh dkms-2.2.0.3-1.noarch.rpm
Preparing...                ########################################### [100%]
   1:dkms                   ########################################### [100%]
[root@pocebus rpm]#


[root@pocebus rpm]# rpm -ivh veeamsnap-1.0.0.499-1.noarch.rpm
Preparing...                ########################################### [100%]
   1:veeamsnap              ########################################### [100%]
Loading new veeamsnap-1.0.0.499 DKMS files...
First Installation: checking all kernels...
Building only for 3.8.13-44.1.1.el6uek.x86_64
Building initial module for 3.8.13-44.1.1.el6uek.x86_64
Done.

veeamsnap:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.8.13-44.1.1.el6uek.x86_64/extra/
Adding any weak-modules


depmod....

DKMS: install completed.
[root@pocebus rpm]#



but failed with Veeam Agent

Code: Select all
[root@pocebus rpm]# rpm -ivh veeam-1.0.0.499-1.el6.x86_64.rpm
error: Failed dependencies:
        fuse-libs is needed by veeam-1.0.0.499-1.el6.x86_64
[root@pocebus rpm]#
Someonenew2014
Enthusiast
 
Posts: 54
Liked: 3 times
Joined: Wed Feb 04, 2015 8:25 pm

Re: Install agent on Oracle Linux - Failed dependencies.

Veeam Logoby Someonenew2014 » Wed Aug 31, 2016 8:28 am 1 person likes this post

Finished. Post output for future to others

Code: Select all
[root@pocebus rpm]# yum install fuse-libs
Loaded plugins: ulninfo
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package fuse-libs.x86_64 0:2.9.4-1.0.1.el6 will be installed
--> Processing Dependency: libnuma.so.1(libnuma_1.1)(64bit) for package: fuse-libs-2.9.4-1.0.1.el6.x86_64
--> Processing Dependency: libnuma.so.1()(64bit) for package: fuse-libs-2.9.4-1.0.1.el6.x86_64
--> Running transaction check
---> Package numactl.x86_64 0:2.0.9-2.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================================================================================================================================================
 Package                                        Arch                                        Version                                               Repository                                              Size
===============================================================================================================================================================================================================
Installing:
 fuse-libs                                      x86_64                                      2.9.4-1.0.1.el6                                       public_ol6_latest                                       88 k
Installing for dependencies:
 numactl                                        x86_64                                      2.0.9-2.el6                                           public_ol6_latest                                       74 k

Transaction Summary
===============================================================================================================================================================================================================
Install       2 Package(s)

Total download size: 161 k
Installed size: 452 k
Is this ok [y/N]: y
Downloading Packages:
(1/2): fuse-libs-2.9.4-1.0.1.el6.x86_64.rpm                                                                                                                                             |  88 kB     00:00
(2/2): numactl-2.0.9-2.el6.x86_64.rpm                                                                                                                                                   |  74 kB     00:00
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                          195 kB/s | 161 kB     00:00
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altered outside of yum.
  Installing : numactl-2.0.9-2.el6.x86_64                                                                                                                                                                  1/2
  Installing : fuse-libs-2.9.4-1.0.1.el6.x86_64                                                                                                                                                            2/2
  Verifying  : numactl-2.0.9-2.el6.x86_64                                                                                                                                                                  1/2
  Verifying  : fuse-libs-2.9.4-1.0.1.el6.x86_64                                                                                                                                                            2/2

Installed:
  fuse-libs.x86_64 0:2.9.4-1.0.1.el6

Dependency Installed:
  numactl.x86_64 0:2.0.9-2.el6

Complete!
[root@pocebus rpm]# pwd
/u01/install/x64/rpm
[root@pocebus rpm]# ls
veeam-1.0.0.499-1.el6.x86_64.rpm  veeam-1.0.0.499-1.suse.x86_64.rpm  veeamsnap-1.0.0.499-1.noarch.rpm
[root@pocebus rpm]# rpm -ivh veeam-1.0.0.499-1.el6.x86_64.rpm
Preparing...                ########################################### [100%]
   1:veeam                  ########################################### [100%]
Starting veeamservice: [  OK  ]
[root@pocebus rpm]#
Someonenew2014
Enthusiast
 
Posts: 54
Liked: 3 times
Joined: Wed Feb 04, 2015 8:25 pm


Return to Veeam Agent for Linux



Who is online

Users browsing this forum: Google [Bot] and 2 guests